summaryrefslogtreecommitdiff
path: root/net-im/toxic
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2014-10-27 18:38:05 +0200
committerBlackNoxis <steven.darklight@gmail.com>2014-10-27 18:38:05 +0200
commit24934e623441310f644e5f72855b0f2bf9f3cd1a (patch)
treea453939bf58199bc2c3ff27bcf0accf2b221c6c4 /net-im/toxic
parent687f45092b4f4ccf33765cee7427f054bae22344 (diff)
Incoming! Moving Rogento.git to kogaion-desktop. Finally
Diffstat (limited to 'net-im/toxic')
-rw-r--r--net-im/toxic/metadata.xml12
-rw-r--r--net-im/toxic/toxic-9999.ebuild56
2 files changed, 68 insertions, 0 deletions
diff --git a/net-im/toxic/metadata.xml b/net-im/toxic/metadata.xml
new file mode 100644
index 00000000..35db8749
--- /dev/null
+++ b/net-im/toxic/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>holgersson@posteo.de</email>
+ <name>holgersson</name>
+ </maintainer>
+ <use>
+ <flag name="libnotify">Enable desktop notification support.</flag>
+ <flag name="sound-notify">Adds support for sound notifications.</flag>
+ </use>
+</pkgmetadata>
diff --git a/net-im/toxic/toxic-9999.ebuild b/net-im/toxic/toxic-9999.ebuild
new file mode 100644
index 00000000..dbb19fd1
--- /dev/null
+++ b/net-im/toxic/toxic-9999.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit autotools git-2 toolchain-funcs
+
+DESCRIPTION="CLI Frontend for Tox"
+HOMEPAGE="http://wiki.tox.im/Toxic"
+SRC_URI=""
+EGIT_REPO_URI="git://github.com/Tox/toxic
+ https://github.com/Tox/toxic"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="+libnotify +sound-notify"
+
+RDEPEND="
+ dev-libs/libconfig
+ net-libs/tox[av]
+ media-libs/openal
+ sys-libs/ncurses
+ x11-libs/libX11
+ libnotify? ( x11-libs/libnotify )
+ sound-notify? ( media-libs/freealut )"
+DEPEND="${RDEPEND}
+ app-text/asciidoc
+ virtual/pkgconfig"
+
+src_prepare() {
+ # verbose build
+ sed -i \
+ -e 's/@$(CC)/$(CC)/' \
+ build/Makefile || die
+ epatch_user
+}
+
+src_compile() {
+ use libnotify || export NOTIFY="DISABLE_DESKTOP_NOTIFY=1"
+ use sound-notify || export SOUND_NOTIFY="DISABLE_SOUND_NOTIFY=1"
+ emake \
+ CC="$(tc-getCC)" \
+ USER_CFLAGS="${CFLAGS}" \
+ USER_LDFLAGS="${LDFLAGS}" \
+ PREFIX="/usr" ${NOTIFY} ${SOUND_NOTIFY} \
+ -C build
+}
+
+src_install() {
+ emake install PREFIX="/usr" DESTDIR="${D}" -C build
+}
+
+pkg_postinst() {
+ elog "DHT node list is available in /usr/share/${PN}/DHTnodes"
+}